Skip to main content
PATCH
/
v1
/
10dlc
/
brands
/
{brandId}
Update 10DLC brand
curl --request PATCH \
  --url https://api.zavu.dev/v1/10dlc/brands/{brandId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entityType": "PRIVATE_PROFIT",
  "displayName": "<string>",
  "companyName": "<string>",
  "ein": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "street": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postalCode": "<string>",
  "country": "<string>",
  "website": "<string>",
  "vertical": "<string>",
  "stockSymbol": "<string>",
  "stockExchange": "<string>"
}
'
{
  "brand": {
    "id": "<string>",
    "entityType": "PRIVATE_PROFIT",
    "displayName": "Acme Corp",
    "email": "jsmith@example.com",
    "phone": "+14155551234",
    "street": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postalCode": "<string>",
    "country": "US",
    "vertical": "Technology",
    "status": "draft",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "companyName": "<string>",
    "ein": "12-3456789",
    "firstName": "<string>",
    "lastName": "<string>",
    "website": "<string>",
    "stockSymbol": "<string>",
    "stockExchange": "<string>",
    "brandScore": 123,
    "brandRelationship": "<string>",
    "failureReason": "<string>",
    "submittedAt": "2023-11-07T05:31:56Z",
    "verifiedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brandId
string
required

10DLC brand ID.

Body

application/json
entityType
enum<string>

Business entity type for 10DLC brand registration.

Available options:
PRIVATE_PROFIT,
PUBLIC_PROFIT,
NON_PROFIT,
GOVERNMENT,
SOLE_PROPRIETOR
displayName
string
Maximum string length: 100
companyName
string
Maximum string length: 200
ein
string
firstName
string
Maximum string length: 50
lastName
string
Maximum string length: 50
email
string<email>
phone
string
street
string
Maximum string length: 200
city
string
Maximum string length: 100
state
string
Maximum string length: 50
postalCode
string
Maximum string length: 20
country
string
Required string length: 2
website
string<uri>
vertical
string
Maximum string length: 50
stockSymbol
string
Maximum string length: 10
stockExchange
string
Maximum string length: 50

Response

Brand updated.

brand
object
required